
VIRTUAL CREDIT CARD - Bug #15315

Android [TREATS] [TREATS Convert] The request is wrong, and please don't hardcode

20 December 2022 07:57 PM - hsulynn pang

Status: Closed Start date: 20 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec02

user profile: ntbsec02

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click Pilih Treats for one of the transaction

(5) click any Treats

(6) click Konfirmasi button

(7) input the TAC

(8) verify the acknowledgement screen

Actual result: It hits error because FE send wrong details in request

Expected result: FE send correct details in request

History

#1 - 21 December 2022 10:07 AM - Hao Ter Tai

- Status changed from New to In Progress

#2 - 21 December 2022 11:13 AM - Hao Ter Tai

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 21 December 2022 02:45 PM - Hao Ter Tai

- Status changed from Resolved to Assigned

- Assignee changed from Hao Ter Tai to hsulynn pang

#4 - 21 December 2022 09:18 PM - hsulynn pang

- File transaction.txt added

- Status changed from Assigned to Closed

tested ok

Files

transaction.txt 2.26 KB 20 December 2022 hsulynn pang

WhatsApp Video 2022-12-20 at 19.46.31.mp4 2.97 MB 20 December 2022 hsulynn pang

transaction.txt 2.32 KB 21 December 2022 hsulynn pang
